#!/bin/ash
## LED checking
## 
##	Load the standard bitstream to active the GPIOs of the LEDs. 
##	then it use HAL to run a LED moving pattern.  
##
##
## Authors: 
##	- Benoit Rat (Seven Solutions, www.sevensols.com)
##
## GNU Lesser General Public License Usage
## This file may be used under the terms of the GNU Lesser
## General Public License version 2.1 as published by the Free Software
## Foundation and appearing in the file LICENSE.LGPL included in the
## packaging of this file.  Please review the following information to
## ensure the GNU Lesser General Public License version 2.1 requirements
## will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
#######################################################################################################

printf "======: $0\n"
. 000-functions.sh

#First loading the correct firmwares:
load-virtex ${APTS_HDL_18P}
load-lm32 ${APTS_FW_RTCPU}

led_pattern="green, orange, yellow, none"

user_echoasking "y/N" "Ready for the led pattern? (${led_pattern})" "ready"
shw_tool --led

user_echoasking "y/N" "Did you see the LEDs pattern (${led_pattern})" "LEDS"
ret0=-$?
if [ $ans == "n" ]; then
	read -p "Write the failing LED: " ans
	echo "$ans" 
fi

exit_multierr $ret0 

